# Microsoft .NET CLI Disassembler. VisualBasic library

Assembler code

```
conv.i8
    mul.ovf
    stloc.0
    ldarg.0
    ldfld    class [mscorlib]System.IO.FileStream Microsoft.VisualBasic.CompilerServices.VB6File::m_file
    ldloc.1
    ldloc.0
    callvirt instance void [mscorlib]System.IO.FileStream::Lock(int64, int64)
    ret
  }

  .method public hidebysig virtual instance void Unlock(int64 lStart, int64 lEnd)
  {
    .maxstack 3
    .locals init (int64 V0,
                  int64 V1)
    ldarg.1
    ldarg.2
    ble.s    loc_439
    ldstr    aArgumentInvali            // "Argument_InvalidValue1"
    ldstr    aStart                     // "Start"
    call     string Microsoft.VisualBasic.CompilerServices.Utils::GetResourceString(string ResourceKey, string Parm1)
    newobj   instance void [mscorlib]System.ArgumentException::.ctor(string)
    throw

loc_439:                                // CODE XREF: Microsoft.VisualBasic.CompilerServices.VB6RandomFile__Unlock+2↑j
    ldarg.1
    ldc.i8   1
    sub.ovf
    ldarg.0
    ldfld    int32 Microsoft.VisualBasic.CompilerServices.VB6File::m_lRecordLen
    conv.i8
    mul.ovf
    stloc.1
    ldarg.2

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/disassembler/disassembly-gallery/microsoft-.net-cli-disassembler.-visualbasic-library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
